# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Summary: GTK widgets and object for data histograming
Name: gtkhst
Version: 0.5.0
Release: 5
License: GPL
Group: Development/Languages
Source0: %{name}-%{version}-%{release}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Prefix: %{_prefix}
Requires: gtk2 >= 2.0.0
Requires: python >= 2.2
Requires: pygtk2 >= 1.99.0
BuildRequires: python-devel

%description
gtkhst is a collection of gobjects and gtk+ widgets, used to display
them, that allow an easy histograming and monitoring of data.

%package devel
Summary: Libraries, includes, etc. for gtkhst
Group: Development/Languages
Requires: %{name} = %{version}

%description devel
Libraries, includes, etc. for gtkhst


%package python
Summary: Python bindings for gtkhst
Group: Development/Languages
Requires: %{name} = %{version}

%description python
gtkhst-python provides the python bindings for gtkhst

%prep
%setup -q -n %{name}-%{version}-%{release}

%build
%configure  --enable-python --disable-rpath --disable-static
# a fix to remove rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}

%install
 "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)

%doc AUTHORS ChangeLog COPYING NEWS README
%doc test/*.c test/*.h

%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,-)

%{_libdir}/pkgconfig/gtkhst.pc
%{_libdir}/lib*.so*
%{_libdir}/*a
%{_includedir}/*
%{_datadir}/gtk-doc/html/gtk-hst/*

%files python
%defattr(-,root,root,-)

%{python_sitearch}/gtkhst/
%{python_sitearch}/gtkhst/

%doc python/tsthst.py python/tstgobj.py

%changelog
* Fri Feb 25 2005 Carlos Lacasta <lacasta@localhost.localdomain> - 
- Initial build.

